Bug 1152 - Неверная локализация контекстного меню RocketBar
: Неверная локализация контекстного меню RocketBar
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Localization
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: Dmitry
: Private ROSA Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-04 17:28 MSK by Vladimir Potapov
Modified: 2013-10-16 09:45 MSD (History)
3 users (show)

See Also:
RPM Package: rosapanel
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments
Чистый PO для перевода на русский язык (3.65 KB, text/x-gettext-translation)
2013-10-03 18:01 MSD, Dmitry
Details
забирайте готовый (4.22 KB, text/x-gettext-translation)
2013-10-03 20:53 MSD, JDronova
Details
This is all menu.... (230.70 KB, image/png)
2013-10-08 16:22 MSD, Vladimir Potapov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Potapov 2012-12-04 17:28:23 MSK
Щелкнем правой кнопкой на FF из стандартной поставки rosapanel
Последний пункт "Удалить виджет Иконки" 
Щелкаем английскую версию. Remove this Icon

И действие как раз такое, как по-английски написано. Удаляет ОДНУ иконку а не все, что обещает в русской локализации!
Comment 1 Vladimir Potapov 2012-12-04 17:30:12 MSK
Предлагаю "Удалить значок"
Comment 2 JDronova 2012-12-04 17:46:41 MSK
Насколько я знаю, наши нативные программы локализует команда UIX сама, поэтому добавила Дениса в мейлилист.
Comment 3 Vladimir Potapov 2013-10-02 06:42:14 MSD
Юль, если в марафоне и не будем фиксить, то во фреше это нужно сделать!
Только что у меня пользователь путался с этим названием и не мог удалить иконку с рокетбара.
Comment 4 JDronova 2013-10-02 07:03:39 MSD
(In reply to comment #3)
> Юль, если в марафоне и не будем фиксить, то во фреше это нужно сделать!
> Только что у меня пользователь путался с этим названием и не мог удалить
> иконку с рокетбара.

да я замаялась спрашивать, что где брать и фиксить, никто не отзывается, будут они сами переводить, не будут... :( сегодня мож ещё займусь, в последний раз, оно меня и саму достало
Comment 5 JDronova 2013-10-02 14:24:42 MSD
В общем, под пытками выяснилось, что как таковой локализации вообще нет в наших продуктах, файлы берутся «откуда-то из системы», прикрутить локализацию отдельно, как положено, конечно, можно, но кто и когда это будет делать - неизвестно. Урал Мулабаев сейчас в отпуске, он единственный, кто возможно, может сказать что-то ещё по существу данного положения вещей.
Comment 6 JDronova 2013-10-03 14:46:03 MSD
По итогам вчерашнего совещания решено что «Проблемы локализации RocketBar решит сама UX Team.», так что пока что ждём.
Comment 7 Vladimir Potapov 2013-10-03 14:51:36 MSD
проблеме скоро год.... и что-то в консерватории не так, если такие простейшие вопросы так долго решаются.
Comment 8 JDronova 2013-10-03 14:55:47 MSD
Ну РокетБар, как выяснилось, изначально не был по сути доделан, локализация вообще как таковая отсутствует. Что теперь поделать, если б я могла бы, сделала бы сама :(
Comment 9 Vladimir Potapov 2013-10-03 15:02:52 MSD
ну, как-то он переключается с английского на русский? Значит какая-то система локализации есть.
Comment 10 JDronova 2013-10-03 15:08:16 MSD
См. коммент 5, он дёргает файлы из системы, а своих сообщений у него нет.
Comment 11 Vladimir Potapov 2013-10-03 15:11:21 MSD
(In reply to comment #10)
> См. коммент 5, он дёргает файлы из системы, а своих сообщений у него нет.
Не может быть. Т.к. английское сообщение правильное, а русское нет. Значит и в другом месте тоже ошибка.
Comment 12 Dmitry 2013-10-03 18:01:48 MSD
Created attachment 1950 [details]
Чистый PO для перевода на русский язык

Приложил чистый PO для перевода на русский язык
Comment 13 JDronova 2013-10-03 20:53:20 MSD
Created attachment 1951 [details]
забирайте готовый
Comment 14 Dmitry 2013-10-08 11:51:53 MSD
Build lists:

https://abf.rosalinux.ru/build_lists/1339751
https://abf.rosalinux.ru/build_lists/1339732

Advisory: 
- Strings in context menu have been changed (fixed)
Comment 15 Vladimir Potapov 2013-10-08 16:22:21 MSD
Created attachment 1959 [details]
This is all menu....

******************
QA Denied

P.S. Вы точно пробовали у себя установить-посмотреть, прежде чем отправлять на QA?
Comment 16 Dmitry 2013-10-08 16:27:32 MSD
Не видно проблем
Comment 17 Dmitry 2013-10-08 16:30:33 MSD
Все нормально на скриншоте. Вижу, что панель заблокирована. Кроме, как запустить приложение, больше ничего нельзя сделать.
Comment 18 Vladimir Potapov 2013-10-08 16:40:35 MSD
Сорри, развоевался :-) Да, все вроде нормально, еще помучаю немного и можно будет пускать...
Comment 19 Vladimir Potapov 2013-10-09 12:01:06 MSD
rosapanel-1.6.1-0-rosa2012.1
************ Advisory *******************
The new version of the rosa-panel contains the localization fixes
*****************************************
QA Verified